import cn from "classnames";
import React, { FunctionComponent } from "react";
import s from "./ProductView.module.css";
import { Button } from "@components/ui";

interface ProductData {
  description: string;
}

interface Props {
  className?: string;
  children?: any;
  productData: ProductData;
}

const ProductView: FunctionComponent<Props> = ({ productData, className }) => {
  const rootClassName = cn(s.root, className);
  return (
    <div className={rootClassName}>
      <div className="absolute h-12">
        <h1>T-Shirt</h1>
      </div>
      <div className="absolute h-12">T-Shirt</div>
      <div className="flex-1 h-full p-24">
        <div className="bg-violet h-full"></div>
      </div>
      <div className="flex-1 flex flex-col">
        <section className="pb-4">
          <h2 className="uppercase font-medium">Color</h2>
          <div className="flex flex-row py-4">
            <span className="h-12 w-12 bg-black rounded-full mr-3"></span>
            <span className="h-12 w-12 bg-white rounded-full mr-3 border border-gray-200"></span>
            <span className="h-12 w-12 bg-pink rounded-full"></span>
          </div>
        </section>
        <section className="pb-4">
          <h2 className="uppercase font-medium">Size</h2>
          <div className="flex flex-row py-4">
            <span className="h-12 w-12 bg-white rounded-full mr-3 border border-gray-200 flex items-center justify-center">
              S
            </span>
            <span className="h-12 w-12 bg-white rounded-full mr-3 border border-gray-200 flex items-center justify-center">
              M
            </span>
            <span className="h-12 w-12 bg-white rounded-full mr-3 border border-gray-200 flex items-center justify-center">
              L
            </span>
            <span className="h-12 w-12 bg-white rounded-full mr-3 border border-gray-200 flex items-center justify-center">
              XL
            </span>
            <span className="h-12 w-12 bg-white rounded-full mr-3 border border-gray-200 flex items-center justify-center">
              XXL
            </span>
          </div>
        </section>
        <section className="pb-12">
          <p>{productData.description}</p>
        </section>
        <section className="pb-4">
          <Button className="">Add to Cart</Button>
        </section>
      </div>
    </div>
  );
};

export default ProductView;
